Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.description
Class OperationDesc

    java.lang.Object
      org.apache.axis.description.OperationDesc

All Implemented Interfaces:
  java.io.Serializable

public class OperationDesc
extends java.lang.Object
implements java.io.Serializable

An OperationDesc is an abstract description of an operation on a service. !!! WORK IN PROGRESS

Author:
  Glen Daniels (gdaniels@apache.org)
See Also:
  Serialized Form

Field Summary
`protected static org.apache.commons.logging.Log` | `log`
`static java.util.Map` | `mepStrings`
`static int` | `MSG_METHOD_BODYARRAY`
`static int` | `MSG_METHOD_DOCUMENT`
`static int` | `MSG_METHOD_ELEMENTARRAY`
`static int` | `MSG_METHOD_NONCONFORMING`
`static int` | `MSG_METHOD_SOAPENVELOPE`

Constructor Summary
`OperationDesc()` Default constructor.
`OperationDesc(java.lang.String name, ParameterDesc[] parameters, QName returnQName)` "Complete" constructor

Method Summary
`void` | `addFault(FaultDesc fault)`
`void` | `addParameter(ParameterDesc param)`
`void` | `addParameter(QName paramName, QName xmlType, java.lang.Class javaType, byte parameterMode, boolean inHeader, boolean outHeader)`
`java.util.ArrayList` | `getAllInParams()` Return a list of ALL "in" params (including INOUTs) Note: if we were sure the order went IN->INOUT->OUT, we could optimize this.
`java.util.ArrayList` | `getAllOutParams()` Return a list of ALL "out" params (including INOUTs) Note: if we were sure the order went IN->INOUT->OUT, we could optimize this.
`java.lang.String` | `getDocumentation()` get the documentation for the operation
`QName` | `getElementQName()`
`FaultDesc` | `getFaultByClass(java.lang.Class cls)` Returns the FaultDesc for the fault class given.
`FaultDesc` | `getFaultByClass(java.lang.Class cls, boolean checkParents)` Returns the FaultDesc for the fault class given.
`FaultDesc` | `getFaultByQName(QName qname)` Returns the FaultDesc for a QName (which is typically found in the details element of a SOAP fault).
`FaultDesc` | `getFaultByXmlType(QName xmlType)` Returns the FaultDesc for an XMLType.
`java.util.ArrayList` | `getFaults()`
`ParameterDesc` | `getInputParamByQName(QName qname)`
`javax.wsdl.OperationType` | `getMep()`
`int` | `getMessageOperationStyle()`
`java.lang.reflect.Method` | `getMethod()`
`java.lang.String` | `getName()` Return the operation's name
`int` | `getNumInParams()`
`int` | `getNumOutParams()`
`int` | `getNumParams()`
`java.util.ArrayList` | `getOutParams()` Returns an ordered list of out params (NOT inouts)
`ParameterDesc` | `getOutputParamByQName(QName qname)`
`ParameterDesc` | `getParamByQName(QName qname)`
`ParameterDesc` | `getParameter(int i)`
`java.util.ArrayList` | `getParameters()`
`ServiceDesc` | `getParent()`
`java.lang.Class` | `getReturnClass()`
`ParameterDesc` | `getReturnParamDesc()`
`QName` | `getReturnQName()`
`QName` | `getReturnType()`
`java.lang.String` | `getSoapAction()`
`Style` | `getStyle()` Return the style of the operation, defaulting to the parent ServiceDesc's style if we don't have one explicitly set.
`Use` | `getUse()` Return the use of the operation, defaulting to the parent ServiceDesc's use if we don't have one explicitly set.
`boolean` | `isReturnHeader()` Is the return value in the header of the response message?
`void` | `setDocumentation(java.lang.String documentation)` set the documentation for the operation
`void` | `setElementQName(QName elementQName)`
`void` | `setMep(javax.wsdl.OperationType mep)`
`void` | `setMep(java.lang.String mepString)` Set the MEP using a string like "request-response"
`void` | `setMessageOperationStyle(int messageOperationStyle)`
`void` | `setMethod(java.lang.reflect.Method method)`
`void` | `setName(java.lang.String name)` Set the operation's name
`void` | `setParameters(java.util.ArrayList newParameters)` Set the parameters wholesale.
`void` | `setParent(ServiceDesc parent)`
`void` | `setReturnClass(java.lang.Class returnClass)`
`void` | `setReturnHeader(boolean value)` Set whether the return value is in the response message.
`void` | `setReturnQName(QName returnQName)`
`void` | `setReturnType(QName returnType)`
`void` | `setSoapAction(java.lang.String soapAction)`
`void` | `setStyle(Style style)`
`void` | `setUse(Use use)`
`java.lang.String` | `toString()`
`java.lang.String` | `toString(java.lang.String indent)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_METHOD_BODYARRAY

    public static final int MSG_METHOD_BODYARRAY

See Also:
  Constant Field Values

### MSG_METHOD_SOAPENVELOPE

    public static final int MSG_METHOD_SOAPENVELOPE

See Also:
  Constant Field Values

### MSG_METHOD_ELEMENTARRAY

    public static final int MSG_METHOD_ELEMENTARRAY

See Also:
  Constant Field Values

### MSG_METHOD_DOCUMENT

    public static final int MSG_METHOD_DOCUMENT

See Also:
  Constant Field Values

### MSG_METHOD_NONCONFORMING

    public static final int MSG_METHOD_NONCONFORMING

See Also:
  Constant Field Values

### mepStrings

    public static java.util.Map mepStrings

### log

    protected static org.apache.commons.logging.Log log

Constructor Detail

### OperationDesc

    public OperationDesc()

  Default constructor.

### OperationDesc

    public OperationDesc(java.lang.String name,
                         ParameterDesc[] parameters,
                         QName returnQName)

  "Complete" constructor

Method Detail

### getName

    public java.lang.String getName()

  Return the operation's name

### setName

    public void setName(java.lang.String name)

  Set the operation's name

### getDocumentation

    public java.lang.String getDocumentation()

  get the documentation for the operation

### setDocumentation

    public void setDocumentation(java.lang.String documentation)

  set the documentation for the operation

### getReturnQName

    public QName getReturnQName()

### setReturnQName

    public void setReturnQName(QName returnQName)

### getReturnType

    public QName getReturnType()

### setReturnType

    public void setReturnType(QName returnType)

### getReturnClass

    public java.lang.Class getReturnClass()

### setReturnClass

    public void setReturnClass(java.lang.Class returnClass)

### getElementQName

    public QName getElementQName()

### setElementQName

    public void setElementQName(QName elementQName)

### getParent

    public ServiceDesc getParent()

### setParent

    public void setParent(ServiceDesc parent)

### getSoapAction

    public java.lang.String getSoapAction()

### setSoapAction

    public void setSoapAction(java.lang.String soapAction)

### setStyle

    public void setStyle(Style style)

### getStyle

    public Style getStyle()

  Return the style of the operation, defaulting to the parent ServiceDesc's style if we don't have one explicitly set.

### setUse

    public void setUse(Use use)

### getUse

    public Use getUse()

  Return the use of the operation, defaulting to the parent ServiceDesc's use if we don't have one explicitly set.

### addParameter

    public void addParameter(ParameterDesc param)

### addParameter

    public void addParameter(QName paramName,
                             QName xmlType,
                             java.lang.Class javaType,
                             byte parameterMode,
                             boolean inHeader,
                             boolean outHeader)

### getParameter

    public ParameterDesc getParameter(int i)

### getParameters

    public java.util.ArrayList getParameters()

### setParameters

    public void setParameters(java.util.ArrayList newParameters)

  Set the parameters wholesale.

  Parameters:
    `newParameters` - an ArrayList of ParameterDescs

### getNumInParams

    public int getNumInParams()

### getNumOutParams

    public int getNumOutParams()

### getNumParams

    public int getNumParams()

### getMethod

    public java.lang.reflect.Method getMethod()

### setMethod

    public void setMethod(java.lang.reflect.Method method)

### isReturnHeader

    public boolean isReturnHeader()

  Is the return value in the header of the response message?

### setReturnHeader

    public void setReturnHeader(boolean value)

  Set whether the return value is in the response message.

### getParamByQName

    public ParameterDesc getParamByQName(QName qname)

### getInputParamByQName

    public ParameterDesc getInputParamByQName(QName qname)

### getOutputParamByQName

    public ParameterDesc getOutputParamByQName(QName qname)

### getAllInParams

    public java.util.ArrayList getAllInParams()

  Return a list of ALL "in" params (including INOUTs) Note: if we were sure the order went IN->INOUT->OUT, we could optimize this.

  Returns:

### getAllOutParams

    public java.util.ArrayList getAllOutParams()

  Return a list of ALL "out" params (including INOUTs) Note: if we were sure the order went IN->INOUT->OUT, we could optimize this.

  Returns:

### getOutParams

    public java.util.ArrayList getOutParams()

  Returns an ordered list of out params (NOT inouts)

### addFault

    public void addFault(FaultDesc fault)

### getFaults

    public java.util.ArrayList getFaults()

### getFaultByClass

    public FaultDesc getFaultByClass(java.lang.Class cls)

  Returns the FaultDesc for the fault class given. Returns null if not found.

### getFaultByClass

    public FaultDesc getFaultByClass(java.lang.Class cls,
                                     boolean checkParents)

  Returns the FaultDesc for the fault class given. Returns null if not found.

### getFaultByQName

    public FaultDesc getFaultByQName(QName qname)

  Returns the FaultDesc for a QName (which is typically found in the details element of a SOAP fault). Returns null if not found.

### getFaultByXmlType

    public FaultDesc getFaultByXmlType(QName xmlType)

  Returns the FaultDesc for an XMLType. Returns null if not found.

### getReturnParamDesc

    public ParameterDesc getReturnParamDesc()

### toString

    public java.lang.String toString()

### toString

    public java.lang.String toString(java.lang.String indent)

### getMessageOperationStyle

    public int getMessageOperationStyle()

### setMessageOperationStyle

    public void setMessageOperationStyle(int messageOperationStyle)

### getMep

    public javax.wsdl.OperationType getMep()

### setMep

    public void setMep(javax.wsdl.OperationType mep)

### setMep

    public void setMep(java.lang.String mepString)

  Set the MEP using a string like "request-response"

  Parameters:
    `mepString` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.